Skip to main content
GET
/
polymarket
/
trader
/
pnl
/
{address}
/
markets
Get trader market PnL
curl --request GET \
  --url https://api.struct.to/v1/polymarket/trader/pnl/{address}/markets
[
  {
    "condition_id": "<string>",
    "event_slug": "<string>",
    "question": "<string>",
    "image_url": "<string>",
    "outcomes_traded": 123,
    "total_buys": 123,
    "total_sells": 123,
    "total_redemptions": 123,
    "total_merges": 123,
    "buy_usd": 123,
    "sell_usd": 123,
    "redemption_usd": 123,
    "merge_usd": 123,
    "realized_pnl_usd": 123,
    "winning_outcomes": 123,
    "total_fees": 123,
    "first_trade_at": 123,
    "last_trade_at": 123
  }
]

Path Parameters

address
string
required

Trader wallet address

Query Parameters

timeframe
enum<string>

Timeframe: 1d, 7d, 30d, lifetime (default: 7d)

Available options:
1d,
7d,
30d,
lifetime
sort_by
enum<string>

Sort: realized_pnl_usd, buy_usd, total_buys, total_fees, outcomes_traded (default: realized_pnl_usd)

Available options:
realized_pnl_usd,
buy_usd,
total_buys,
total_fees,
outcomes_traded
sort_direction
enum<string>

Sort direction: asc, desc (default: desc)

Available options:
asc,
desc
limit
integer<int32>

Results limit (default: 10, max: 200)

pagination_key
string

Cursor-based pagination key

condition_id
string

Filter by condition ID (or use market_slug)

market_slug
string

Filter by market slug (alternative to condition_id)

event_slug
string

Filter by event slug

Response

200 - application/json

Market-level PnL entries for this trader

condition_id
string | null
event_slug
string | null
question
string | null
image_url
string | null
outcomes_traded
integer<int64> | null
total_buys
integer<int64> | null
total_sells
integer<int64> | null
total_redemptions
integer<int64> | null
total_merges
integer<int64> | null
buy_usd
number<double> | null
sell_usd
number<double> | null
redemption_usd
number<double> | null
merge_usd
number<double> | null
realized_pnl_usd
number<double> | null
winning_outcomes
integer<int64> | null
total_fees
number<double> | null
first_trade_at
integer<int64> | null
last_trade_at
integer<int64> | null
Last modified on March 17, 2026